Name:          luabind
Version:       0.9.1
Release:       5mamba
Summary:       A library that helps you create bindings between C++ and Lua
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/luabind/
Source:        http://downloads.sourceforge.net/project/luabind/luabind/%{version}/luabind-%{version}.tar.gz
Source1:       http://prdownloads.sourceforge.net/boost/boost-build-2.0-m12.tar.bz2
Patch0:        luabind-0.9.1-lua-5.2.patch
Patch1:        luabind-0.9.1-x86_64-libdir.patch
Patch2:        luabind-0.9.1-libboost-1.55.patch
Patch3:        luabind-0.9.1-lua-5.2-Jamfile.patch
Patch4:        luabind-0.9.1-libboost-1.57.patch
Patch5:        luabind-0.9.1-lua-5.3.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: liblua-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: liblua-devel >= 5.3
BuildRequires: boost-jam
BuildRequires: libboost-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
luabind is a library, inspired by and similar to Boost.Python, that helps you create bindings between C++ and Lua. It has the ability to expose functions and classes, written in C++, to Lua.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%ifnarch x86_64
sed -i "s|/lib64|/lib|" Jamroot
%endif

%build
export BOOST_BUILD_PATH=`pwd`/boost-build
bjam release

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export BOOST_BUILD_PATH=`pwd`/boost-build
bjam install release --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}

install -d -m0755 %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/luabind.pc << _EOF
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=%{_libdir}
includedir=\${prefix}/include

Name: Luabind
Description: c++ binding for lua
URL: http://www.rasterbar.com/products/luabind.html
Version: 0.9.1
Libs: -L\${libdir} -lluabind
Libs.private: -llua5.2
Cflags: -I\${includedir} -I%{_includedir}/lua5.2
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libluabind.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/luabind/
%{_includedir}/luabind/*.hpp
%dir %{_includedir}/luabind/detail/
%{_includedir}/luabind/detail/*.hpp
%{_libdir}/libluabind.so
%{_libdir}/pkgconfig/luabind.pc

%changelog
* Tue May 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-5mamba
- rebuilt with lua 5.3

* Wed Dec 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-4mamba
- rebuilt with gcc 5.2.0

* Mon Feb 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-3mamba
- added patch against libboost 1.57

* Wed Sep 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- added pkg-config file
- build release not debug library

* Mon Sep 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-1mamba
- package created using the webbuild interface
